Servers - Bug #3437

Some blacklisted packages slipped into repos, like linux-rt-lts
2023-01-28 12:28 PM - grizzlyuser

Status: fixed % Done: 0%
Priority: bug

Assignee: bill-auger

Category:

Description

¢ steps to reproduce:
1) https://www.parabola.nu/packages/?sort=-last_update&g=linux-rt-lts&maintainer=&flagged=
2) https://qit.parabola.nu/blacklist.git/tree/blacklist.txt#n461

e expected result:
No packages found on step #1 as they are blacklisted

e actual result:
Blacklisted packages are in the repos

History

#1 - 2023-01-28 02:41 PM - bill-auger

- Status changed from unconfirmed to confirmed

all blacklisted packages "slip in" in the same way - they can not be blacklisted until after that happens and someone notices - those were added to the
blacklist though - im not sure yet, why they were not deleted automatically

as long as 'your-freedom' is installed, it is not possible to install any of those packages - 'your-freedom’ is required by 'base’, which is considered to be
mandatory for a fully-supported parabola system

#2 - 2023-04-02 02:13 AM - bill-auger
- Assignee set to bill-auger

- Status changed from confirmed to in progress

the repo importer was using a stale cached copy of the blacklist

in the future, this script can be used to identify them:

#!/bin/bash

readonly PACMANCONF_FILE=/etc/pacman-all.conf
readonly BLACKLIST_FILE=/usr/share/doc/your-freedom/blacklist.txt

pacman —-config=${PACMANCONF_FILE} -Sy

for ea in $(cut -d: -fl ${BLACKLIST_FILE})

do grep —-g "S${ea}:: S${BLACKLIST_FILE} && pacman —--config=${PACMANCONF_FILE} -Ssg "${ea}s$
done

#3 - 2023-04-02 02:13 AM - bill-auger

- Status changed from in progress to fixed

#4 - 2023-04-02 02:38 AM - bill-auger
- Project changed from Packages to Servers

- Tracker changed from Freedom Issue to Bug
